package com.ywt.mg.domain.models.enums;

public enum SettlementStatusEnum {
    PENDING("待结算", 0),
    PROCESSING("处理中", 1),
    SETTLED("已结算", 2),
    FAILED("支付失败", 3);


    private final String displayName;

    private final int value;

    SettlementStatusEnum(String displayName, int value) {
        this.displayName = displayName;
        this.value = value;
    }

    public String getDisplayName() {
        return displayName;
    }

    public int getValue() {
        return value;
    }
}
